button help

Discussion in 'AutoCAD' started by todd, Jan 4, 2005.

  1. todd

    todd Guest

    I need help making a button to stack dimension alternate units under primary
    units per individual dimensions
     
    todd, Jan 4, 2005
    #1
  2. todd

    T.Willey Guest

    Maybe something like.

    (defun c:TurnOnAltUnits (/ Ent Obj)

    (if (setq Ent (entsel "\n Select dimension: "))
    (progn
    (setq Obj (vlax-ename->vla-object (car Ent)))
    (vla-put-AltUnits Obj ':vlax-true)
    (vla-put-TextSuffix Obj "\\P")
    )
    )
    )

    Tim
     
    T.Willey, Jan 4, 2005
    #2
  3. todd

    todd Guest

    hey Tim, this worked great with a couple changes...
    added this to my acad.lsp and then made a button to access it.

    thanks alot Tim,




    (defun c:dimstack (/ Ent Obj)

    (if (setq Ent (entsel "\n Select dimension: "))
    (progn
    (setq Obj (vlax-ename->vla-object (car Ent)))
    (vla-put-AltUnits Obj ':vlax-true)
    (vla-put-TextSuffix Obj "mm\\P")
    )
    )
    )
     
    todd, Jan 7, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.